CVE-2019-9924

HIGH
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

rbash in Bash before 4.4-beta2 did not prevent the shell user from modifying BASH_CMDS, thus allowing the user to execute any command with the permissions of the shell.

References

http://git.savannah.gnu.org/cgit/bash.git/tree/CHANGES?h=bash-4.4-testing#n65

http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00049.html

https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1803441

https://lists.debian.org/debian-lts-announce/2019/03/msg00028.html

https://security.netapp.com/advisory/ntap-20190411-0001/

https://usn.ubuntu.com/4058-1/

https://usn.ubuntu.com/4058-2/

Details

Source: MITRE

Published: 2019-03-22

Updated: 2019-04-11

Type: CWE-20

Risk Information

CVSS v2

Base Score: 7.2

Vector: AV:L/AC:L/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 3.9

Severity: HIGH

CVSS v3

Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH

Tenable Plugins

View all (22 total)

IDNameProductFamilySeverity
143950NewStart CGSL CORE 5.05 / MAIN 5.05 : bash Vulnerability (NS-SA-2020-0101)NessusNewStart CGSL Local Security Checks
high
143925NewStart CGSL CORE 5.04 / MAIN 5.04 : bash Vulnerability (NS-SA-2020-0067)NessusNewStart CGSL Local Security Checks
high
141999Amazon Linux 2 : bash (ALAS-2020-1503)NessusAmazon Linux Local Security Checks
high
140746RHEL 7 : bash (RHSA-2020:3803)NessusRed Hat Local Security Checks
high
140120RHEL 7 : bash (RHSA-2020:3592)NessusRed Hat Local Security Checks
high
139670RHEL 7 : bash (RHSA-2020:3474)NessusRed Hat Local Security Checks
high
138052Amazon Linux AMI : bash (ALAS-2020-1379)NessusAmazon Linux Local Security Checks
high
135800Scientific Linux Security Update : bash on SL7.x x86_64 (20200407)NessusScientific Linux Local Security Checks
high
135339CentOS 7 : bash (CESA-2020:1113)NessusCentOS Local Security Checks
high
135062RHEL 7 : bash (RHSA-2020:1113)NessusRed Hat Local Security Checks
high
126748Ubuntu 16.04 LTS : Bash vulnerability (USN-4058-1)NessusUbuntu Local Security Checks
high
126524SUSE SLES12 Security Update : bash (SUSE-SU-2019:0838-2)NessusSuSE Local Security Checks
high
125573EulerOS Virtualization for ARM 64 3.0.2.0 : bash (EulerOS-SA-2019-1621)NessusHuawei Local Security Checks
high
125561EulerOS Virtualization 3.0.1.0 : bash (EulerOS-SA-2019-1609)NessusHuawei Local Security Checks
high
125492EulerOS 2.0 SP5 : bash (EulerOS-SA-2019-1565)NessusHuawei Local Security Checks
high
125491EulerOS 2.0 SP3 : bash (EulerOS-SA-2019-1564)NessusHuawei Local Security Checks
high
125490EulerOS 2.0 SP2 : bash (EulerOS-SA-2019-1563)NessusHuawei Local Security Checks
high
124869Photon OS 1.0: Bash PHSA-2019-1.0-0229NessusPhotonOS Local Security Checks
high
123924SUSE SLES12 Security Update : bash (SUSE-SU-2019:0898-1)NessusSuSE Local Security Checks
high
123922openSUSE Security Update : bash (openSUSE-2019-1178)NessusSuSE Local Security Checks
high
123671SUSE SLED12 / SLES12 Security Update : bash (SUSE-SU-2019:0838-1)NessusSuSE Local Security Checks
high
123093Debian DLA-1726-1 : bash security updateNessusDebian Local Security Checks
high